###############################################################################
# batch.pl -- interface to using fmbatch
###############################################################################

$fmbatch_open = 0 ;

sub open_fmbatch {
    local ($pipe) = @_ ;

    if ($fmbatch_open) {
        print "Error: There is already a pipe open to $pipe!" ;
        return ;
    }
    open(FMBATCH, $pipe) || die "can't open $pipe: $!";
    $fmbatch_open = 1 ;
}


sub close_fmbatch {

    if (!$fmbatch_open) {
        print "Error: There is no pipe to fmbatch open!" ;
        return ;
    }
    &fmbatch("Quit");
    close FMBATCH ;
    $fmbatch_open = 0 ;
}

########################################################################
# The fmbatch() routine takes a string as a parameter and passes it on #
# through a pipe to fmbatch, who uses the string as a batch command.   #
########################################################################
sub fmbatch {
    local($_) = @_;

    if (!$fmbatch_open) {
        print "Error: No pipe to fmbatch for command $_!" ;
        return ;
    }
    $_ .= "\n" if (!/\n$/);
#    print $_ if ($DD > 4);
    print FMBATCH $_;
}


1;
